## org.apache.cassandra.db.commitlog
Interface CommitLogMBean

All Known Implementing Classes:
  CommitLog

    public interface CommitLogMBean

Method Summary
`java.util.List<java.lang.String>` `getActiveSegmentNames()`
`java.util.List<java.lang.String>` `getArchivingSegmentNames()`
`long` `getCompletedTasks()` Get the number of completed tasks
`long` `getPendingTasks()` Get the number of tasks waiting to be executed
`long` `getTotalCommitlogSize()` Get the current size used by all the commitlog segments.
`void` `recover(java.lang.String path)` Recover a single file.

Method Detail

### getCompletedTasks

    long getCompletedTasks()

  Get the number of completed tasks

### getPendingTasks

    long getPendingTasks()

  Get the number of tasks waiting to be executed

### getTotalCommitlogSize

    long getTotalCommitlogSize()

  Get the current size used by all the commitlog segments.

### recover

    void recover(java.lang.String path)
                 throws java.io.IOException

  Recover a single file.

  Throws:
    `java.io.IOException`

### getActiveSegmentNames

    java.util.List<java.lang.String> getActiveSegmentNames()

  Returns:
    file names (not full paths) of active commit log segments (segments containing unflushed data)

### getArchivingSegmentNames

    java.util.List<java.lang.String> getArchivingSegmentNames()

  Returns:
    Files which are pending for archival attempt. Does NOT include failed archive attempts.

Copyright © 2013 The Apache Software Foundation